Bug 21614 - Search bar on Stock rotation page displays both [-] and [+] simultaneously
Summary: Search bar on Stock rotation page displays both [-] and [+] simultaneously
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11897
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-19 02:09 UTC by Caroline Cyr La Rose
Modified: 2019-10-14 19:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously (1.25 KB, patch)
2018-10-19 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously (1.29 KB, patch)
2018-10-22 19:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously (1.36 KB, patch)
2018-10-22 20:43 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously (1.44 KB, patch)
2018-10-23 14:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-10-19 02:09:09 UTC
When I go to the stock rotation page, the search bar at the top of the page is set to "Search patrons" and both [-] and [+] are displayed.

To reproduce:

1) Activate stock rotation module in system preferences
2) Go to Tools > Stock rotation
3) Notice the [-] and [+] next to the search bar at the top
4) Try clicking on [-] and [+], nothing happens
Comment 1 Caroline Cyr La Rose 2018-10-19 02:18:18 UTC
I'm not sure what is the decision process to choose which search bar to put at the top of a page, but I feel like "Search patrons" is not useful in this case. I would put the same search bar as in "Rotation collections" with Check out, Check in, Renew and Search the catalog, the latter being selected by default.
Comment 2 Owen Leonard 2018-10-19 11:55:14 UTC
Created attachment 80931 [details] [review]
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously

This patch modifies the stock rotation template so that it include the
circulation search bar include instead of the patrons one.

To test, apply the patch and enable the StockRotation system preference.

 - Go to Tools -> Stock rotation.
 - Confirm that the search boxes at top are 'Check out,' 'Check in,'
   'Renew,' and 'Search the catalog.'
Comment 3 Caroline Cyr La Rose 2018-10-19 14:50:34 UTC
Owen, can you select "Search the catalog" by default, instead of "Check out"?
Comment 4 Owen Leonard 2018-10-22 19:07:15 UTC
Created attachment 80987 [details] [review]
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously

This patch modifies the stock rotation template so that it include the
catalog search bar include instead of the patrons one.

To test, apply the patch and enable the StockRotation system preference.

 - Go to Tools -> Stock rotation.
 - Confirm that the search boxes at top are 'Check out,' 'Check in,'
   'Renew,' and 'Search the catalog.' 'Search the catalog' should be
   selected.
Comment 5 Caroline Cyr La Rose 2018-10-22 20:43:08 UTC
Created attachment 80991 [details] [review]
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously

This patch modifies the stock rotation template so that it include the
catalog search bar include instead of the patrons one.

To test, apply the patch and enable the StockRotation system preference.

 - Go to Tools -> Stock rotation.
 - Confirm that the search boxes at top are 'Check out,' 'Check in,'
   'Renew,' and 'Search the catalog.' 'Search the catalog' should be
   selected.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 6 Jonathan Druart 2018-10-23 14:49:34 UTC
Created attachment 81026 [details] [review]
Bug 21614: Search bar on Stock rotation page displays both [-] and [+] simultaneously

This patch modifies the stock rotation template so that it include the
catalog search bar include instead of the patrons one.

To test, apply the patch and enable the StockRotation system preference.

 - Go to Tools -> Stock rotation.
 - Confirm that the search boxes at top are 'Check out,' 'Check in,'
   'Renew,' and 'Search the catalog.' 'Search the catalog' should be
   selected.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Nick Clemens 2018-10-26 16:44:30 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-11-06 10:23:22 UTC
Dependency not in 18.05.x series.